Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Moog Class Reference

STK moog-like swept filter sampling synthesis class. More...

`#include <Moog.h>`

Inheritance diagram for Moog:

List of all members.

## Public Member Functions

| Moog ()
| Class constructor.
| ~Moog ()
| Class destructor.
virtual void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
virtual void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | setModulationSpeed (MY_FLOAT mSpeed)
| Set the modulation (vibrato) speed in Hz.
void | setModulationDepth (MY_FLOAT mDepth)
| Set the modulation (vibrato) depth.
virtual MY_FLOAT | tick ()
| Compute one output sample.
virtual void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK moog-like swept filter sampling synthesis class.

This instrument uses one attack wave, one looped wave, and an ADSR envelope (inherited from the Sampler class) and adds two sweepable formant (FormSwep) filters.

Control Change Numbers:

- Filter Q = 2
- Filter Sweep Rate = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Gain = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 27 of file Moog.h.

The documentation for this class was generated from the following file:

- Moog.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.